<?php
// Start a Session
session_start();
// Check if ALL cookies exist, if they do proceed to have them as "logged in" (remember me feature)
// Otherwise, check the session to see if they have logged in "this" session
if((isset($_COOKIE['gbu']) && isset($_COOKIE['gbp'])) || ($_SESSION['accessLevel'] && $_SESSION['name']))
{	
	if(!$_SESSION['accessLevel'] && !$_SESSION['name'] && $page != "logout") // If session is not a "valid" session
	{
		// Do a database verify before registering values
		require_once(ROOTDIR."/include/database/class.UserQueries.php");
		require_once(ROOTDIR."/include/objects/class.User.php");
		$userQuery = new UserQueries();
		$user = new User();
		
		$user = $userQuery->getUserInfo($_COOKIE['gbu']); // Place stuff into user object		
		 
		// Make sure we have a valid user object
		if(isset($user)) {		
  		// Check if md5 encrypted passwords match
  		// If they do, auto log them in
  		if($user->getPassword() == $_COOKIE['gbp']) {
  			// Register Session Values
  			$_SESSION['name'] = $_COOKIE['gbu']; // Username
  			$_SESSION['password'] = $_COOKIE['gbp']; // md5 encrypted
  			$_SESSION['accessLevel'] = $user->getAccessLevel();
  			$_SESSION['steamId'] = $user->getSteamId(); // Steam ID of logged in user
  		}
		} else {
      // Destroy cookies since the user stored in the cookie does not seem to exist
      // Destroy cookies
      setcookie("gbu", NULL, time()-60*60*24*100, "/");
      setcookie("gbp", NULL, time()-60*60*24*100, "/");
      unset($_COOKIE['gbu']);
      unset($_COOKIE['gbp']);
    }
	}
  	
	$accessLevel = $_SESSION['accessLevel']; // User access level
}
?>
